DU(1B)

NAME
du - (BSD) summarize disk usage

SYNOPSIS
du [-asxo] [name ...]

DESCRIPTION
Du gives the number of blocks (1024 bytes) contained in all files and (recursively) directories within each specified directory or file name. If name is missing, `.' is used.

The following options are supported:

-a  This option causes an entry to be generated for each file. Absence of either causes an entry to be generated for each directory only.

-o  Do not add sizes of subdirectories to parent directories.

-s  This option causes only the grand total to be given. Overrides the -a option.

-x  Do not cross device boundaries when descending a directory hierarchy.

A file which has two links to it is only counted once.

SEE ALSO
df(1)

NOTES
Non-directories given as arguments (not under -a or -s options) are not listed.

Files with holes may produce incorrect results.